package com.tzld.longarticle.recommend.server.common.enums.longArticle;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum VideoPoolPlatformEnum {

    GZH("gzh", "公众号视频"),
    HkSP("hksp", "好看视频"),
    SPH("sph", "视频号视频"),
    TOUTIAO("toutiao", "头条视频"),
    SOHU("sohu", "搜狐视频"),
    ;

    private final String platform;
    private final String description;

    VideoPoolPlatformEnum(String platform, String description) {
        this.platform = platform;
        this.description = description;
    }

    public static VideoPoolPlatformEnum from(String platform) {
        for (VideoPoolPlatformEnum platformEnum : VideoPoolPlatformEnum.values()) {
            if (Objects.equals(platformEnum.getPlatform(), platform)) {
                return platformEnum;
            }
        }
        return null;
    }
}
